Debian Bug report logs - #595964
Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Tue, 7 Sep 2010 17:21:02 UTC

Severity: wishlist

Found in version 2.6.32-21

Fixed in version linux-2.6/2.6.32-23

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tfheen@debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 07 Sep 2010 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to tfheen@debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Sep 2010 17:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 07 Sep 2010 19:19:15 +0200
Package: linux-2.6
Version: 2.6.32-21
Severity: wishlist
File: /boot/vmlinuz-2.6.32-5-686

Hi,

please consider cherry-picking the patch to mount cgroupfs at
/sys/fs/cgroup [1]. This patch will be in upstream 2.6.36 and has been
acked by the kernel cgroup and libcgroup maintainer.
Having it in the default Debian kernel would simplify running systemd, which
uses cgroups to monitor processes.
Without this patch, the cgroupfs for systemd will be mounted at /cgroup
and it would be preferable to not introduce another toplevel directory.

Thanks for considering,
Michael


[1]
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=676db4af043014e852f67ba0349dae0071bd11f3

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.2     tools for generating an initramfs
ii  linux-base                    2.6.32-21  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-free           2.6.32-21  Binary firmware for various driver
ii  libc6-i686                    2.11.2-5   Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.26       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.26       Binary firmware for various driver
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information excluded




Added indication that bug 595964 blocks 595966 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 07 Sep 2010 17:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 07 Sep 2010 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Sep 2010 20:45:06 GMT) Full text and rfc822 format available.

Message #12 received at 595964@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>, 595964@bugs.debian.org
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 7 Sep 2010 22:41:31 +0200
On Tue, Sep 07, 2010 at 07:19:15PM +0200, Michael Biebl wrote:
> please consider cherry-picking the patch to mount cgroupfs at
> /sys/fs/cgroup [1]. This patch will be in upstream 2.6.36 and has been
> acked by the kernel cgroup and libcgroup maintainer.

And what does this help? There are n cgroup filesystem hierarchies.

> Without this patch, the cgroupfs for systemd will be mounted at /cgroup
> and it would be preferable to not introduce another toplevel directory.

As it is private to systemd anyway, the correct locations is somewhere
below /var/lib/

Bastian

-- 
There's another way to survive.  Mutual trust -- and help.
		-- Kirk, "Day of the Dove", stardate unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 07 Sep 2010 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Sep 2010 20:57:06 GMT) Full text and rfc822 format available.

Message #17 received at 595964@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 595964@bugs.debian.org, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 07 Sep 2010 22:54:04 +0200
[Message part 1 (text/plain, inline)]
On 07.09.2010 22:41, Bastian Blank wrote:
> On Tue, Sep 07, 2010 at 07:19:15PM +0200, Michael Biebl wrote:
>> please consider cherry-picking the patch to mount cgroupfs at
>> /sys/fs/cgroup [1]. This patch will be in upstream 2.6.36 and has been
>> acked by the kernel cgroup and libcgroup maintainer.
> 
> And what does this help? There are n cgroup filesystem hierarchies.

Are you referring to cgroup fs like cpuset? They would be mounted below
/sys/fs/cgroup.

One idea behind this patch is, to provide a sane default by the kernel, so the
userland does not mount it at random places, like /dev/cgroup, /cgroup or
/mnt/cgroup.

See also the discussion at [1].

> 
>> Without this patch, the cgroupfs for systemd will be mounted at /cgroup
>> and it would be preferable to not introduce another toplevel directory.
> 
> As it is private to systemd anyway, the correct locations is somewhere
> below /var/lib/

As systemd requires the cgroupfs during early boot, /var/lib is not an option.

Michael


[1] http://lkml.org/lkml/2010/7/22/384
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 07 Sep 2010 21:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Sep 2010 21:15:08 GMT) Full text and rfc822 format available.

Message #22 received at 595964@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 595964@bugs.debian.org, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 7 Sep 2010 23:12:25 +0200
On Tue, Sep 07, 2010 at 10:54:04PM +0200, Michael Biebl wrote:
> On 07.09.2010 22:41, Bastian Blank wrote:
> > And what does this help? There are n cgroup filesystem hierarchies.
> Are you referring to cgroup fs like cpuset? They would be mounted below
> /sys/fs/cgroup.

sysfs does not support mkdir. How will you mount _n_ different
hierarchies?

> > As it is private to systemd anyway, the correct locations is somewhere
> > below /var/lib/
> As systemd requires the cgroupfs during early boot, /var/lib is not an option.

There are other locations. /sys is system wide and not daemon specific.

Bastian

-- 
Intuition, however illogical, is recognized as a command prerogative.
		-- Kirk, "Obsession", stardate 3620.7




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 07 Sep 2010 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Sep 2010 21:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 595964@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 595964@bugs.debian.org, Tollef Fog Heen <tfheen@err.no>, Jon Bernard <jbernard@debian.org>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 07 Sep 2010 23:42:05 +0200
[Message part 1 (text/plain, inline)]
CCing Jon, as maintainer of libcgroup he might be interested in this
discussion.

Am 07.09.2010 23:12, schrieb Bastian Blank:
> On Tue, Sep 07, 2010 at 10:54:04PM +0200, Michael Biebl wrote:
>> On 07.09.2010 22:41, Bastian Blank wrote:
>>> And what does this help? There are n cgroup filesystem hierarchies.
>> Are you referring to cgroup fs like cpuset? They would be mounted below
>> /sys/fs/cgroup.
> 
> sysfs does not support mkdir. How will you mount _n_ different
> hierarchies?

In the thread I quoted, G-K H mentions that /sys/fs/cgroup would be a tmpfs.

>>> As it is private to systemd anyway, the correct locations is somewhere
>>> below /var/lib/
>> As systemd requires the cgroupfs during early boot, /var/lib is not an option.
> 
> There are other locations. /sys is system wide and not daemon specific.
> 

I remember discussions, where to mount the cgroupfs [1], some while ago,
and /sys was among the recommendations.  More importantly though, it was
said that we should see what the kernel folks do.

With the aforementioned patch, the kernel maintainers have more or less
answered the question and as already said, this patch will land in .36
and the Debian kernel for that matter.

Do you see any problems, why this patch should not be in the .32
(squeeze) kernel?

Michael

[1] http://lists.debian.org/debian-devel/2009/02/msg00037.html
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 14 Sep 2010 14:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Bernard <jbernard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 14:00:07 GMT) Full text and rfc822 format available.

Message #32 received at 595964@bugs.debian.org (full text, mbox):

From: Jon Bernard <jbernard@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Bastian Blank <waldi@debian.org>, 595964@bugs.debian.org, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 14 Sep 2010 09:51:49 -0400
* Michael Biebl <biebl@debian.org> wrote:
> CCing Jon, as maintainer of libcgroup he might be interested in this
> discussion.
> 
> Am 07.09.2010 23:12, schrieb Bastian Blank:
> > On Tue, Sep 07, 2010 at 10:54:04PM +0200, Michael Biebl wrote:
> >> On 07.09.2010 22:41, Bastian Blank wrote:
> >>> And what does this help? There are n cgroup filesystem hierarchies.
> >> Are you referring to cgroup fs like cpuset? They would be mounted below
> >> /sys/fs/cgroup.
> > 
> > sysfs does not support mkdir. How will you mount _n_ different
> > hierarchies?
> 
> In the thread I quoted, G-K H mentions that /sys/fs/cgroup would be a tmpfs.

I agree with not creating another top-level directory. I configured
libcgroup to mount cgroupfs under /mnt/cgroup as an initial solution,
but mounting in /sys/fs seems much more consistent with current
conventions.

> >>> As it is private to systemd anyway, the correct locations is somewhere
> >>> below /var/lib/
> >> As systemd requires the cgroupfs during early boot, /var/lib is not an option.
> > 
> > There are other locations. /sys is system wide and not daemon specific.
> > 
> 
> I remember discussions, where to mount the cgroupfs [1], some while ago,
> and /sys was among the recommendations.  More importantly though, it was
> said that we should see what the kernel folks do.

This discussion took place on the libcgroup mailing list as well [1],
posting here for reference. Many suggested somewhere under /sys, but I
don't believe a consensus was reached.

[1]: http://sourceforge.net/mailarchive/message.php?msg_id=20091104063005.GC3560%40balbir.in.ibm.com

Cheers

-- 
Jon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 14 Sep 2010 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 15:03:07 GMT) Full text and rfc822 format available.

Message #37 received at 595964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michael Biebl <biebl@debian.org>, Bastian Blank <waldi@debian.org>, 595964@bugs.debian.org, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 14 Sep 2010 15:59:57 +0100
On Tue, Sep 14, 2010 at 09:51:49AM -0400, Jon Bernard wrote:
> * Michael Biebl <biebl@debian.org> wrote:
> > CCing Jon, as maintainer of libcgroup he might be interested in this
> > discussion.
> > 
> > Am 07.09.2010 23:12, schrieb Bastian Blank:
> > > On Tue, Sep 07, 2010 at 10:54:04PM +0200, Michael Biebl wrote:
> > >> On 07.09.2010 22:41, Bastian Blank wrote:
> > >>> And what does this help? There are n cgroup filesystem hierarchies.
> > >> Are you referring to cgroup fs like cpuset? They would be mounted below
> > >> /sys/fs/cgroup.
> > > 
> > > sysfs does not support mkdir. How will you mount _n_ different
> > > hierarchies?
> > 
> > In the thread I quoted, G-K H mentions that /sys/fs/cgroup would be a tmpfs.
> 
> I agree with not creating another top-level directory. I configured
> libcgroup to mount cgroupfs under /mnt/cgroup as an initial solution,
> but mounting in /sys/fs seems much more consistent with current
> conventions.

Using /mnt/cgroup is definitely wrong.  FHS says that /mnt is reserved as a
temporary mountpoint for local use.

If there is a consensus upstream that /sys/fs/cgroup is the right place for
this filesystem, and this is needed in squeeze (rather than just for
systemd) then I think we would add that directory in the kernel package for
squeeze.  Otherwise, this is for wheezy (and current experimental) only.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 14 Sep 2010 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #42 received at 595964@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Bastian Blank <waldi@debian.org>, 595964@bugs.debian.org, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 14 Sep 2010 18:29:10 +0200
[Message part 1 (text/plain, inline)]
On 14.09.2010 16:59, Ben Hutchings wrote:
> On Tue, Sep 14, 2010 at 09:51:49AM -0400, Jon Bernard wrote:

>>
>> I agree with not creating another top-level directory. I configured
>> libcgroup to mount cgroupfs under /mnt/cgroup as an initial solution,
>> but mounting in /sys/fs seems much more consistent with current
>> conventions.
> 
> Using /mnt/cgroup is definitely wrong.  FHS says that /mnt is reserved as a
> temporary mountpoint for local use.
> 
> If there is a consensus upstream that /sys/fs/cgroup is the right place for
> this filesystem,

This patch has ben acked by
Paul Menage <menage@google.com> and
Dhaval Giani <dhaval.giani@gmail.com>

Afaik Dhaval is the libcgroup upstream developer and Paul is the maintainer of
the kernel cgroup code. And also as mentioned before, it will be in 2.6.36. I
guess this can be considered as consensus upstream.

 and this is needed in squeeze (rather than just for
> systemd) then I think we would add that directory in the kernel package for
> squeeze.  Otherwise, this is for wheezy (and current experimental) only.

As we usually try to support running the old kernel from release (squeeze) in
release+1(wheezy), this patch would ensure that systemd would easily run with a
squeeze kernel (without any ugly workarounds). It would be future-proofing if
you will.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 14 Sep 2010 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 17:00:05 GMT) Full text and rfc822 format available.

Message #47 received at 595964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michael Biebl <biebl@debian.org>, 595964@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, Tollef Fog Heen <tfheen@err.no>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 14 Sep 2010 17:57:24 +0100
On Tue, Sep 14, 2010 at 06:29:10PM +0200, Michael Biebl wrote:
> On 14.09.2010 16:59, Ben Hutchings wrote:
[...]
>  and this is needed in squeeze (rather than just for
> > systemd) then I think we would add that directory in the kernel package for
> > squeeze.  Otherwise, this is for wheezy (and current experimental) only.
> 
> As we usually try to support running the old kernel from release (squeeze) in
> release+1(wheezy), this patch would ensure that systemd would easily run with a
> squeeze kernel (without any ugly workarounds). It would be future-proofing if
> you will.

Who are "we"?  You'd better tell Md about this new requirement.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595964; Package linux-2.6. (Tue, 14 Sep 2010 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 18:03:06 GMT) Full text and rfc822 format available.

Message #52 received at 595964@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Michael Biebl <biebl@debian.org>, 595964@bugs.debian.org, Bastian Blank <waldi@debian.org>
Subject: Re: Bug#595964: Please cherry-pick patch to mount cgroupfs at /sys/fs/cgroup
Date: Tue, 14 Sep 2010 20:00:17 +0200
]] Ben Hutchings 

| Who are "we"?  You'd better tell Md about this new requirement.

I, as the systemd maintainer would be much happier if it was possible to
use wheezy's systemd with the lenny kernel, and with the (arguably
large) assumption that it's just the mount point for cgroupfs, that
doesn't sound like a huge extra burden to add to the kernel maintenance?

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 15 Sep 2010 10:27:06 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 18 Sep 2010 01:12:05 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 18 Sep 2010 01:12:05 GMT) Full text and rfc822 format available.

Message #59 received at 595964-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 595964-close@bugs.debian.org
Subject: Bug#595964: fixed in linux-2.6 2.6.32-23
Date: Sat, 18 Sep 2010 01:08:03 +0000
Source: linux-2.6
Source-Version: 2.6.32-23

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-23_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-23_all.deb
linux-2.6_2.6.32-23.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-23.diff.gz
linux-2.6_2.6.32-23.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-23.dsc
linux-base_2.6.32-23_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-23_all.deb
linux-doc-2.6.32_2.6.32-23_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-23_all.deb
linux-headers-2.6.32-5-all-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-amd64_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-all_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-common-xen_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-common_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
linux-headers-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
linux-image-2.6.32-5-amd64-dbg_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64-dbg_2.6.32-23_amd64.deb
linux-image-2.6.32-5-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-23_amd64.deb
linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-23_amd64.deb
linux-image-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-23_amd64.deb
linux-image-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-23_amd64.deb
linux-image-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
linux-libc-dev_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-23_amd64.deb
linux-manual-2.6.32_2.6.32-23_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-23_all.deb
linux-patch-debian-2.6.32_2.6.32-23_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-23_all.deb
linux-source-2.6.32_2.6.32-23_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-23_all.deb
linux-support-2.6.32-5_2.6.32-23_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-23_all.deb
linux-tools-2.6.32_2.6.32-23_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-23_amd64.deb
xen-linux-system-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595964@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Sep 2010 15:27:04 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all amd64
Version: 2.6.32-23
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 583139 595964 596802
Changes: 
 linux-2.6 (2.6.32-23) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * cgroupfs: create /sys/fs/cgroup to mount cgroupfs on (Closes: #595964)
   * r8169: Fix MDIO timing (Closes: #583139; mistakenly reverted in 2.6.32-19)
   * gro: Fix bogus gso_size on the first fraglist entry (Closes: #596802)
   * vgaarb: Fix VGA arbiter to accept PCI domains other than 0 (from stable
     2.6.32.12; mistakenly omitted in 2.6.32-12)
 .
   [ maximilian attems ]
   * openvz: cfq-iosched: do not force idling for sync workload.
 .
   [ Stephen R. Marenka ]
   * m68k: switch to generic siginfo layout.
   * m68k: NPTL support.
 .
   [ dann frazier ]
   * compat: Make compat_alloc_user_space() incorporate the access_ok()
     (CVE-2010-3081)
   * x86-64, compat (CVE-2010-3301):
     - Retruncate rax after ia32 syscall entry tracing
     - Test %rax for the syscall number, not %eax
   * wireless extensions: fix kernel heap content leak (CVE-2010-2955)
   * KEYS (CVE-2010-2960):
     - Fix RCU no-lock warning in keyctl_session_to_parent()
     - Fix bug in keyctl_session_to_parent() if parent has no session keyring
Checksums-Sha1: 
 a3ecddada347eafd33f8d2888b45af47e6a2c5c3 6329 linux-2.6_2.6.32-23.dsc
 baa3bd42b4ea1b2fdcc94ae873349072d41408e2 13571538 linux-2.6_2.6.32-23.diff.gz
 a88dc6bb6895595f11c9e79dfc476712a4fa3b92 6047530 linux-doc-2.6.32_2.6.32-23_all.deb
 c38c02ea03ad57a42c75ab594d76171410b26c0a 2723452 linux-manual-2.6.32_2.6.32-23_all.deb
 085ab1728cd5e7038e559e6208ba595e48ad2446 6505686 linux-patch-debian-2.6.32_2.6.32-23_all.deb
 4b77ae38cd658da6408d943749d7b5fceca2a85b 64759210 linux-source-2.6.32_2.6.32-23_all.deb
 345160750affe0f5a1b64c5b3f8246e0e986a3c1 149766 linux-support-2.6.32-5_2.6.32-23_all.deb
 86745ade91252110a4a14b005d837765f8f84301 138328 firmware-linux-free_2.6.32-23_all.deb
 0afec06cbd077041e3480ff366aa84889ac64831 157092 linux-base_2.6.32-23_all.deb
 488ca02801a1c03b86c0de7ca578e962b453ed0e 28113128 linux-image-2.6.32-5-amd64_2.6.32-23_amd64.deb
 f6dff2b0ddb5bee2e0b6fdf1e0933bd34e4481ad 368602376 linux-image-2.6.32-5-amd64-dbg_2.6.32-23_amd64.deb
 d0bdbc3d492b8718d00dc8c8a60c4eeed6ce7714 511256 linux-headers-2.6.32-5-amd64_2.6.32-23_amd64.deb
 a7db822a96f6ac4095954c361e7555138bdffef1 3881998 linux-headers-2.6.32-5-common_2.6.32-23_amd64.deb
 4ae6395f24248dc73aaf6dce37937022da6e83ab 28251930 linux-image-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
 3501bb2cb0b900f896924794239b883f96ab3aee 435546462 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-23_amd64.deb
 de6fe559d6930d9f188b820c8b8b25a7484379f0 536634 linux-headers-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
 297873acf944d71b9a5e773e8e9ac7f711838946 3933566 linux-headers-2.6.32-5-common-openvz_2.6.32-23_amd64.deb
 6ded8e01193e958e2eda7f372520694414860806 133724 linux-headers-2.6.32-5-all_2.6.32-23_amd64.deb
 83765b0567ecdce4f49b4a316615a4680ed686a5 133758 linux-headers-2.6.32-5-all-amd64_2.6.32-23_amd64.deb
 9d8a43eb7e8841e2f3134238c1779cb9018e5aee 831060 linux-libc-dev_2.6.32-23_amd64.deb
 8f54b1ffab92458bd68779ccdfc6f16a3878ddcd 291152 linux-tools-2.6.32_2.6.32-23_amd64.deb
 a636dd36be303fc4bc28553fc5f7552fe5c84e9a 28174520 linux-image-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
 52b45a6fc6b4799bba4273114fdf1c22fba94e31 378083362 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-23_amd64.deb
 9783ba34cb17a46eaf7723eaba588d6a7db30415 513418 linux-headers-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
 251a32a3e90d2a8c91bfc9ff9b4c66bbc44509a0 3915218 linux-headers-2.6.32-5-common-vserver_2.6.32-23_amd64.deb
 7b8d87ead6a0f2c07a184c11923d6bdac1975483 28201290 linux-image-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 1c0a73cfe6da9249bfd1b6cb59c9b0a01fffe3ff 371358760 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-23_amd64.deb
 c5446d504d9bf9165334473266663ebcf53a46d5 513706 linux-headers-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 5b7f3ec44dd316d6467e7ea582a5f32007fc2310 133714 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 02c658c59daef9c93f9f9855357a8a7cd8600565 3899144 linux-headers-2.6.32-5-common-xen_2.6.32-23_amd64.deb
Checksums-Sha256: 
 76e1faef567fa841b5957e1365f377fa614a6e851d56a2e7be46a6b8e3569c01 6329 linux-2.6_2.6.32-23.dsc
 631f8911832718a15d2b26c2ed8bc11de04e695a934bdf04e062a14a230b17d1 13571538 linux-2.6_2.6.32-23.diff.gz
 13ff44068c76dde81c478bd85679f2850763811e2ba77b4d024335801bcdb50a 6047530 linux-doc-2.6.32_2.6.32-23_all.deb
 731a808464cd78cb7fd5763bfaf8df6139904abb1519bb8e463e6d1c0cd325f7 2723452 linux-manual-2.6.32_2.6.32-23_all.deb
 5acd5175dc399cfecb79619683041b2956efc565016ca9665074ee6a62c78354 6505686 linux-patch-debian-2.6.32_2.6.32-23_all.deb
 cda6f2bb3c81a0bcdf493e5b133930169388977812ec986a04c42c2d12775489 64759210 linux-source-2.6.32_2.6.32-23_all.deb
 54bf758ccf23f7d17f2d6c7512b1cfebff859dbcaaf10cc0c39a313815825d63 149766 linux-support-2.6.32-5_2.6.32-23_all.deb
 c96a7c1e58a0a4a98496a520b0c98193290ce3c79d99d2615f2869e0c7e9ea4e 138328 firmware-linux-free_2.6.32-23_all.deb
 bc07774d26a381bfb5d30aba4c1ea8a2a58cb1323fef1ae603c03af7c5c62f7f 157092 linux-base_2.6.32-23_all.deb
 46cc5d3ca80d7adeb831b7124d59c360999ce6007bfc6ca9ec16fc058d0efba3 28113128 linux-image-2.6.32-5-amd64_2.6.32-23_amd64.deb
 16dd9be0d28ece737d8959756e3d09aec08fcd098fc24c04b8152dc804f872cf 368602376 linux-image-2.6.32-5-amd64-dbg_2.6.32-23_amd64.deb
 e51c441be665c06d01a43f370ccf5f5fd1728c721f7bb843bcc2de0314eb6e3d 511256 linux-headers-2.6.32-5-amd64_2.6.32-23_amd64.deb
 77712725643440cf6983b0790458c35c671643cb7bbfe39b637a5db8581b6220 3881998 linux-headers-2.6.32-5-common_2.6.32-23_amd64.deb
 d9f373e41f92aab31fd5e007d7e7694aa059135e0f5550fa65bd6732abd8eaf8 28251930 linux-image-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
 0f7025e7eae426f005822e540b60f219fc03d615bbdf6199f18cc42c509db327 435546462 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-23_amd64.deb
 59f3cf2700e02c67dbff99522a89958f7647883d516f1938d6a2210b7ba83ffd 536634 linux-headers-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
 2b2a1f8d4640837fc1311c27e3c93733df8c1a4a5b071252810ae89dc709bdb5 3933566 linux-headers-2.6.32-5-common-openvz_2.6.32-23_amd64.deb
 d84db5b0fdcaf69b7974d2fb3173e667d635ba35d5a1ac7a7d2db0ebea1fd4d5 133724 linux-headers-2.6.32-5-all_2.6.32-23_amd64.deb
 7bd2fc6c9fc7baa7decfb19e46d2ef4a283ad2d06c7e8f578a65cbefc2e68a67 133758 linux-headers-2.6.32-5-all-amd64_2.6.32-23_amd64.deb
 a7cf84527ac601dec0c520cf385ed902606a5789da3f5d25f676fb464a1b6886 831060 linux-libc-dev_2.6.32-23_amd64.deb
 114e62a42b4f211ead5a0fa96d0b6b2730002e6925abf13e39fd9ce75c90db2d 291152 linux-tools-2.6.32_2.6.32-23_amd64.deb
 f690092a4585184aff1785b22cb1a437cab80d60fe5e8362fbbd1392857106eb 28174520 linux-image-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
 559ef2221a0266aec25ce3a2377dce397a7bbe32ccb3f6adba05e9e359277bbb 378083362 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-23_amd64.deb
 4e724f3cd30cc83504ab88e6ec84935bc88795e2ee496c9e8eeaa0bf57e8498d 513418 linux-headers-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
 d00f326781a72f689680a6f8af1755a986472ad137d0ded515333ae36f1f3ecd 3915218 linux-headers-2.6.32-5-common-vserver_2.6.32-23_amd64.deb
 1a30a57e81ee268ac3b9abfaa70b272ecaf9b00f1406e2dee26903fdbd2e574b 28201290 linux-image-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 f2527817471c049b4303df58859cbecd9523b0be5e70f6f97447fea8063cd63e 371358760 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-23_amd64.deb
 5b5efb0657d452c54aef2c10cf2fdf1250e18cdc8cc2f86e84f949f7f2339ea2 513706 linux-headers-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 60e2371b6e0271ab30aa8783a235eb6177c639017d06763fe7c03ca6af8b5c70 133714 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 a1f128aae784cde356eb8a25417438870ea136d3245dfc953fb97ccd98f52e75 3899144 linux-headers-2.6.32-5-common-xen_2.6.32-23_amd64.deb
Files: 
 f61a94b5f5a59da3cf67c5a3b1ff1dae 6329 kernel optional linux-2.6_2.6.32-23.dsc
 5b2004436afc49aceb12ec7b606fdaa2 13571538 kernel optional linux-2.6_2.6.32-23.diff.gz
 3cce7ffdb2a59d1a02d7c0fd645c2cf1 6047530 doc optional linux-doc-2.6.32_2.6.32-23_all.deb
 65148f30e9b07ac105dde7a5d060f213 2723452 doc optional linux-manual-2.6.32_2.6.32-23_all.deb
 b6e048f95dbc5624b68de7d1ec4ebb28 6505686 kernel optional linux-patch-debian-2.6.32_2.6.32-23_all.deb
 412c3b92bd152a2f5b2ee144c88f903e 64759210 kernel optional linux-source-2.6.32_2.6.32-23_all.deb
 a957c66e0ac84a722b0bb2044a9459af 149766 devel optional linux-support-2.6.32-5_2.6.32-23_all.deb
 82636953113f436cb2eb2426d04671c2 138328 kernel optional firmware-linux-free_2.6.32-23_all.deb
 ea2b1720c59767630d45bcd9458ad130 157092 kernel optional linux-base_2.6.32-23_all.deb
 8ef571653265fd333b554e9e3342eb84 28113128 kernel optional linux-image-2.6.32-5-amd64_2.6.32-23_amd64.deb
 60d71e4372cb5be57e331ebe39323b0b 368602376 debug extra linux-image-2.6.32-5-amd64-dbg_2.6.32-23_amd64.deb
 cce64b144be12d46a0892172de670a4b 511256 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-23_amd64.deb
 98df3fd0ce7588561ec5ab564af7af1c 3881998 kernel optional linux-headers-2.6.32-5-common_2.6.32-23_amd64.deb
 35aba171a0d4bae0e6cba2332bdd1615 28251930 kernel optional linux-image-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
 194df6eac6cbdaf619f76fe03655a604 435546462 debug extra linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-23_amd64.deb
 1105e762966baf5e03ab83f362136d62 536634 kernel optional linux-headers-2.6.32-5-openvz-amd64_2.6.32-23_amd64.deb
 802e9d05d1c1795014ac354f2b3c4932 3933566 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-23_amd64.deb
 db6d2137cb1ffcbbd4da8fd230851ad1 133724 kernel optional linux-headers-2.6.32-5-all_2.6.32-23_amd64.deb
 1f23f0330d08d82175ac25f206c53abb 133758 kernel optional linux-headers-2.6.32-5-all-amd64_2.6.32-23_amd64.deb
 e34a977d0efe05a258cff1163d07f03c 831060 devel optional linux-libc-dev_2.6.32-23_amd64.deb
 cdd7452a2159e40000bafbb0cd309aac 291152 kernel optional linux-tools-2.6.32_2.6.32-23_amd64.deb
 bc0eeb27c783e75d7bdc3c1229415dd8 28174520 kernel optional linux-image-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
 a28358756c91b5964027a7cbfadebeec 378083362 debug extra linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-23_amd64.deb
 003b037f01567881bdcc4bfa8dfc48b8 513418 kernel optional linux-headers-2.6.32-5-vserver-amd64_2.6.32-23_amd64.deb
 a65febfe2c2826709183c7f19091461d 3915218 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-23_amd64.deb
 dd21c1e179520e80f902a24c1199a0ee 28201290 kernel optional linux-image-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 ba5784637a41248316f37516503e0930 371358760 debug extra linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-23_amd64.deb
 824476d43b0391681b51dc598b275366 513706 kernel optional linux-headers-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 2c691dd6d9df197ecf8ca9c079f68d7a 133714 kernel optional xen-linux-system-2.6.32-5-xen-amd64_2.6.32-23_amd64.deb
 99c44cfa24accc9e5ebc59c6c47f1907 3899144 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-23_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMk/Q6huANDBmkLRkRAinyAJ0e2KlQbFAsFtNl5P02mF/aFUGkbgCbBaZE
74wwbwUgVu+orCHrRyPjDLc=
=o4XO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:43:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:12:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.